{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('statement-listFinalGroupCitizen.js') }}
{% endblock javascripts %}


{% block demosplanbundlecontent %}

    {% set counties = templateVars.counties|map(c => { label: c.name, value: c.id }) %}

    {% block title_text %}
        {#  pageheader - display procedure title + nav link #}
        {% include '@DemosPlanCore/DemosPlanCore/includes/pageheader.html.twig' with
        {
            link: path('DemosPlan_procedure_public_detail', { 'procedure':procedure }),
            link_caption: 'procedure.goto'|trans,
            width_css: {
                col1: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'u-1-of-5'|prefixClass,
                col2: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'u-4-of-5'|prefixClass
            },
            prefixCssClass: true,
            content_heading: "statements.ownsubmit"|trans ~ ": " ~ getProcedureName(proceduresettings),
            content_subheading: '<p class="' ~ 'u-mb-0'|prefixClass ~ '">' ~ "text.statements.final.citizen"|trans ~ "</p>"
        }
        %}
    {% endblock %}


     {#  tabs - navigation  #}
    <nav
        class="{{ 'o-page__padded c-tabs js__tabs'|prefixClass }}"
        data-tabs="statementList"
        aria-label="{{ 'tabs.navigate'|trans }}"
    >
        {% apply spaceless %}
            <ul class="{{ 'c-tabs__titles c-tabs__titles--2 u-m-0 u-pt-0_5 text-right'|prefixClass }}">

                <li class="{{ 'c-tabs__title u-nojs-hide--inline-block is-active-tab'|prefixClass }}">
                    <a class="{{ 'c-tabs__title-button'|prefixClass }}" href="#myStatementsList" aria-label="{{ 'map.interactive'|trans }}">
                        {{ 'statements.yours'|trans }}
                    </a>
                </li>

                {% if hasPermission('feature_statements_vote') and hasPermission('feature_statements_vote_may_vote') %}
                    <li class="{{ 'c-tabs__title u-nojs-hide--inline-block u-ml-0_5'|prefixClass }}">
                        <a class="{{ 'c-tabs__title-button'|prefixClass }}" href="#votedStatementsList" aria-label="{{ 'map.interactive'|trans }}">
                            {{  'statements.voted'|trans }}
                        </a>
                    </li>
                {% endif %}

            </ul>
        {% endapply %}
    </nav>

    <div data-tabs-content="statementList" class="{{ 'o-page__padded--spaced u-pv'|prefixClass }}">

        <div id="myStatementsList" class="{{ 'c-tabs__panel u-p-0 is-active-tab'|prefixClass }}">

            <form class="{{ 'layout flow-root'|prefixClass }}" name="sortform" action="{{ path('DemosPlan_statement_list_final_group',{'procedure':procedure})}}" method="post">

                {#  filter fieldsets  #}
                {%  include '@DemosPlanCore/DemosPlanStatement/includes/form_filter.html.twig'
                    with  { 'filter_target'                         : 'final_group',
                            'show_filter_sort_option_submitted'     : true } %}


                {# form controls above entry table (check all, print, email) #}
                <fieldset class="{{ 'layout__item u-pb-0 flow-root'|prefixClass }}">

                    <input type="hidden" name="action" value="statementPublish">

                    {% include '@DemosPlanCore/DemosPlanStatement/includes/form_tools_mark-all.html.twig' %}

                    {% include '@DemosPlanCore/DemosPlanStatement/includes/form_tools_print_pdf.html.twig' %}

                </fieldset>

                <dp-public-statement-list
                    class="layout__item"
                    :statements="JSON.parse('{{ templateVars.list.statementlist|default([])|json_encode|e('js', 'utf-8') }}')"
                    :counties="JSON.parse('{{ counties|default([])|json_encode|e('js', 'utf-8') }}')"
                    procedure-id="{{ templateVars.procedure|default('') }}"
                    show-author
                    show-checkbox
                    show-email
                    show-pdf-download
                    show-publish
                    target="final_group"></dp-public-statement-list>
            </form>
         </div>
        <div id="votedStatementsList" class="{{ 'c-tabs__panel'|prefixClass }}">
            <form class="{{ 'layout flow-root'|prefixClass }}" name="sortform2" action="{{ path('DemosPlan_statement_list_final_group',{'procedure':procedure})}}" method="post">

                {# form controls above entry table (check all, print, email) #}
                <fieldset class="{{ 'flow-root layout__item u-pb-0'|prefixClass }}">

                    <input type="hidden" name="action" value="statementPublish">

                    {#
                        @TODO make export and Print work here for "real" statements, not only for statementDrafs like above
                        -> if that works, eMail and Print can be enabled in Listfooter..
                    #}

                    {#{% include '@DemosPlanCore/DemosPlanStatement/includes/form_tools_mark-all.html.twig' %}#}

                    {#{% include '@DemosPlanCore/DemosPlanStatement/includes/form_tools_print_pdf.html.twig' %}#}

                </fieldset>
                <dp-public-statement-list
                    class="layout__item"
                    :statements="JSON.parse('{{ templateVars.list.votedStatements|convertToLegacy|default([])|json_encode|e('js', 'utf-8') }}')"
                    :counties="JSON.parse('{{ counties|default([])|json_encode|e('js', 'utf-8') }}')"
                    procedure-id="{{ templateVars.procedure|default('') }}"
                    show-checkbox
                    target="final_group"></dp-public-statement-list>
            </form>
        </div>

    </div>
    <dp-map-modal
        ref="mapModal"
        procedure-id="{{ procedure }}" >
    </dp-map-modal>
{% endblock %}
